<?php

if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');

if (!empty($post->post_password)) { // if there's a password
	if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
		?>
		<p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments."); ?><p>
		<?php
		return;
	}
}


/* This variable is for alternating comment background */
$oddcomment = 'alt';


// ----------------------------------------------------------------------------
// Show comments
// ----------------------------------------------------------------------------

// If there are comments
if ('closed' != $post-> comment_status) : ?>
	<div id="comments">
		<h3><?php if (get_comments_number($id) > 0) comments_number('No comments', '1 comment', '% comments' ); ?></h3>
		<ol id="commentlist"> 
			<?php 
			if ($comments) :
				foreach ($comments as $comment) : // list comments ?>
					<li>
						<cite><?php comment_author_link() ?></cite> Says:
						<?php if ($comment->comment_approved == '0') : ?>
							Your comment is awaiting moderation.
						<?php endif; ?><br />
						<p class="comment-meta-data"><?php comment_date('D j/n/y') ?>,  <?php comment_time() ?></p>
						<?php comment_text() ?>
						<p>/</p>
					</li>
				<?php endforeach; // end list comments ?>
			<?php else: ?>
				<!-- If comments are open, but there are no comments. -->
				<li id="nocomment" style="display: none;"> </li>	
			<?php endif ?>
		</ol>
	</div>
<?php 

// There are no comments
else :  ?>
	<ol id="commentlist"> 
	<li style="display:none;"></li></ol>
<?php endif 



// ----------------------------------------------------------------------------
// Ajax spinner & errors
// ---------------------------------------------------------------------------- ?>

<div id="loading" style="display: none;">Posting your comment...</div> 
<div id="errors"></div> 

<?php

// ----------------------------------------------------------------------------
// Comment box
// ----------------------------------------------------------------------------

if ('open' == $post-> comment_status) : ?>
	<div id="commentbox">
		<h3 id="respond">Comment</h3>
	
		<?php if (get_option('comment_registration') && !$user_ID ) : ?>
			<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> 
				to post a comment.</p>
		<?php else : ?>
			<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform" 
				onsubmit="new Ajax.Updater({success: 'commentlist'}, '<?php echo get_template_directory_uri(); ?>/comments-ajax.php', {method: 'post', insertion: Insertion.Bottom, postBody: Form.serialize(this), onSuccess: complete, onFailure: failure, onLoading: loading}); return false;">
				<p style="display: none;"><input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>
				<?php if ($user_ID) : ?>
					<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <br />
					<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account') ?>">Logout &raquo;</a></p>
				<?php else : ?>
					<p><label for="author">Name:</label>
					<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" /></p>

					<p><label for="email">E-mail:</label>
					<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" /></p>
				
					<p><label for="url">Url<?php _e(' (not required)'); ?>:</label>
					<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" /></p>
				<?php endif; ?>

				<p id="comment-textarea"><label for="comment">Comment:</label>
				<textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

				<p id="submit"><input name="submit" type="submit" tabindex="5" value="Submit" /></p>
				<?php do_action('comment_form', $post->ID); ?>
			</form>
		<?php endif; ?>
	</div>
<?php endif; ?>